# Uses of Interface
org.apache.lucene.search.spell.Dictionary

Packages that use Dictionary
Package
Description
org.apache.lucene.search.spell
Suggest alternate spellings for words.
org.apache.lucene.search.suggest
Support for Autocomplete/Autosuggest

- ## Uses of Dictionary in org.apache.lucene.search.spell

  Classes in org.apache.lucene.search.spell that implement Dictionary
  Modifier and Type
  Class
  Description
  `class`
  `HighFrequencyDictionary`
  HighFrequencyDictionary: terms taken from the given field of a Lucene index, which appear in a number of documents above a given threshold.
  `class`
  `LuceneDictionary`
  Lucene Dictionary: terms taken from the given field of a Lucene index.
  `class`
  `PlainTextDictionary`
  Dictionary represented by a text file.
  Methods in org.apache.lucene.search.spell with parameters of type Dictionary
  Modifier and Type
  Method
  Description
  `final void`
  SpellChecker.`indexDictionary(Dictionary dict, IndexWriterConfig config, boolean fullMerge)`
  Indexes the data from the given `Dictionary`.

- ## Uses of Dictionary in org.apache.lucene.search.suggest

  Classes in org.apache.lucene.search.suggest that implement Dictionary
  Modifier and Type
  Class
  Description
  `class`
  `DocumentDictionary`
  Dictionary with terms, weights, payload (optional) and contexts (optional) information taken from stored/indexed fields in a Lucene index.
  `class`
  `DocumentValueSourceDictionary`
  Dictionary with terms and optionally payload and optionally contexts information taken from stored fields in a Lucene index.
  `class`
  `FileDictionary`
  Dictionary represented by a text file.
  Methods in org.apache.lucene.search.suggest with parameters of type Dictionary
  Modifier and Type
  Method
  Description
  `void`
  Lookup.`build(Dictionary dict)`
  Build lookup from a dictionary.